Load Test Administration - Clone Test
Clone a load test.
Clone the given test with optional overrides applied to the clone test.
POST https://{endpoint}/tests/{testId}:clone?api-version=2025-11-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
|
|
test
|
path | True |
string minLength: 2maxLength: 50 pattern: ^[a-z0-9_-]*$ |
Unique test identifier for the load test, must contain only lower-case alphabetic, numeric, underscore or hyphen characters. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| newTestId | True |
string pattern: ^[a-z0-9_-]*$ |
Unique identifier for the new test that will be created. |
| description |
string maxLength: 100 |
Description override for the newly created test. |
|
| displayName |
string minLength: 2maxLength: 50 |
Display Name override for the newly created test. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
The request has been accepted for processing, but processing has not yet completed. Headers Operation-Location: string |
|
| Other Status Codes |
An unexpected error response. Headers x-ms-error-code: string |
Security
Oauth2
OAuth 2.0 Flow with Microsoft Entra ID.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes
| Name | Description |
|---|---|
| https://cnt-prod.loadtesting.azure.com/.default |
Examples
Clone a given load test with optional overrides.
Sample request
POST https://{endpoint}/tests/12316678-1234-1234-1234-122451189012:clone?api-version=2025-11-01-preview
{
"newTestId": "87661321-4321-4321-4321-122451189012"
}
Sample response
Operation-Location: https://endpoint.region.cnt-prod.loadtesting.azure.com/operations/87661321-4321-4321-4321-122451189012?api-version=2025-11-01-preview
{
"id": "12316678-1234-1234-1234-122451189012",
"status": "Running"
}
Definitions
| Name | Description |
|---|---|
|
Azure. |
The error object. |
|
Azure. |
A response containing error details. |
|
Azure. |
An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors. |
|
Clone |
Request to clone an existing test into a new test. |
Azure.Core.Foundations.Error
The error object.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
An array of details about specific errors that led to this reported error. |
|
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| target |
string |
The target of the error. |
Azure.Core.Foundations.ErrorResponse
A response containing error details.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Azure.Core.Foundations.InnerError
An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| innererror |
Inner error. |
CloneTestRequest
Request to clone an existing test into a new test.
| Name | Type | Description |
|---|---|---|
| description |
string maxLength: 100 |
Description override for the newly created test. |
| displayName |
string minLength: 2maxLength: 50 |
Display Name override for the newly created test. |
| newTestId |
string pattern: ^[a-z0-9_-]*$ |
Unique identifier for the new test that will be created. |